WordPress4.1.2以降のバグ?

WordPressのフォーラムによると、
WordPressって昔はMySQLの文字コード仕様を誤解したままで実装を行っていたという過去がある。
データベースをUTF-8に正常に変換できずにそのまま運用してきた方達、あるいは、同様の変則的な設定でたまたま動かせていた方達が今回のデータベース周りの改変に引っかかってしまった。
ということらしいですね。
私も引っかかってしまった。(涙)ujis (EUC-JP) とUTF-8が混在している。
とりあえず、
wp-db.php
post.php
バージョンを以前の4.1.1にもどしています。
旧バージョンはここからDL。
https://ja.wordpress.org/releases/
これでなんとかしのいでいます。
自動更新はうっとおしいので切ってしまった。(笑)
define(‘AUTOMATIC_UPDATER_DISABLED’, true);

自動更新してしまうじゃないの!!(笑)




コメントは受け付けていません。